-- db for bug testing -

CREATE database foobardb;
GRANT ALL ON foobardb.* TO foobar@localhost IDENTIFIED BY 'secret';

USE foobardb;

DROP TABLE IF EXISTS foo_bar;
DROP TABLE IF EXISTS foo;
DROP TABLE IF EXISTS bar;

CREATE TABLE IF NOT EXISTS foo (
   id CHAR(5) NOT NULL PRIMARY KEY,
   name VARCHAR(255)
) ENGINE=InnoDB DEFAULT CHARACTER SET = utf8;

CREATE TABLE IF NOT EXISTS bar (
   id INT(10) UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
   name VARCHAR(255)
) ENGINE=InnoDB DEFAULT CHARACTER SET = utf8;

CREATE TABLE IF NOT EXISTS foo_bar (
   bar_id INT(10) UNSIGNED NOT NULL,
   foo_id CHAR(5) NOT NULL,
   PRIMARY KEY (foo_id, bar_id),
   FOREIGN KEY fk1 (foo_id) REFERENCES foo (id),
   FOREIGN KEY fk2 (bar_id) REFERENCES bar (id)
) ENGINE=InnoDB DEFAULT CHARACTER SET = utf8;

